package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcAqg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcWljgtjMapper;
import com.ruoyi.tcZz.domain.TcWljgtj;
import com.ruoyi.tcZz.service.ITcWljgtjService;

/**
 * 网络监测统计Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Service
public class TcWljgtjServiceImpl implements ITcWljgtjService 
{
    @Autowired
    private TcWljgtjMapper tcWljgtjMapper;

    /**
     * 查询网络监测统计
     * 
     * @param id 网络监测统计主键
     * @return 网络监测统计
     */
    @Override
    public TcWljgtj selectTcWljgtjById(Long id)
    {
        return tcWljgtjMapper.selectTcWljgtjById(id);
    }

    /**
     * 查询网络监测统计列表
     * 
     * @param tcWljgtj 网络监测统计
     * @return 网络监测统计
     */
    @Override
    public List<TcWljgtj> selectTcWljgtjList(TcWljgtj tcWljgtj)
    {
        return tcWljgtjMapper.selectTcWljgtjList(tcWljgtj);
    }

    /**
     * 新增网络监测统计
     * 
     * @param tcWljgtj 网络监测统计
     * @return 结果
     */
    @Override
    public int insertTcWljgtj(TcWljgtj tcWljgtj)
    {
        tcWljgtj.setCreateTime(DateUtils.getNowDate());
        return tcWljgtjMapper.insertTcWljgtj(tcWljgtj);
    }

    /**
     * 修改网络监测统计
     * 
     * @param tcWljgtj 网络监测统计
     * @return 结果
     */
    @Override
    public int updateTcWljgtj(TcWljgtj tcWljgtj)
    {
        tcWljgtj.setUpdateTime(DateUtils.getNowDate());
        return tcWljgtjMapper.updateTcWljgtj(tcWljgtj);
    }

    /**
     * 批量删除网络监测统计
     * 
     * @param ids 需要删除的网络监测统计主键
     * @return 结果
     */
    @Override
    public int deleteTcWljgtjByIds(Long[] ids)
    {
        return tcWljgtjMapper.deleteTcWljgtjByIds(ids);
    }

    /**
     * 删除网络监测统计信息
     * 
     * @param id 网络监测统计主键
     * @return 结果
     */
    @Override
    public int deleteTcWljgtjById(Long id)
    {
        return tcWljgtjMapper.deleteTcWljgtjById(id);
    }

    @Override
    public String importUser(List<TcWljgtj> tcWljgtjList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcWljgtjList.isEmpty()) {
            for (TcWljgtj tcWljgtj : tcWljgtjList) {
                tcWljgtjMapper.insertTcWljgtj(tcWljgtj);
            }
            successMsg.append("导入成功");
        }
        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcWljgtjMapper.updateByisStatus(isStatus,ids);
    }
}
